%define __libtoolize :

Name: mm
Version: 1.3.0
Summary: A shared memory library.
Release: 2
Group: System Environment/Libraries
URL: http://www.ossp.org/pkg/lib/mm/
Source0: http://www.engelschall.com/sw/mm/mm-%{version}.tar.gz
#Patch0: mm-1.1.3-tmpfile.dif
Patch1: mm-1.1.3-stdpaths.patch
Patch2: mm-1.1.3-ipcsem-perms.patch
Patch3: shtool.patch
License: Apache Software License
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The MM library provides an abstraction layer which allows related
processes to easily share data using shared memory.

%package devel
Summary: Files needed for developing applications which use the MM library.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The MM library provides an abstraction layer which allows related
processes to easily share data using shared memory.  The mm-devel
package contains header files and static libraries for use when
developing applications which will use the MM library.

%prep
%setup0 -q
#%patch0 -p1 -b .tmpfile
%patch1 -p1 -b .stdpaths
%patch2 -p1 -b .ipcsem-perms
%patch3 -p0 -b .shtool

%build
CFLAGS="$RPM_OPT_FLAGS -fPIC" ; export CFLAGS
%configure --with-shm=IPCSHM --with-sem=IPCSEM
make
./mm_test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%makeinstall
# Fixup permissions on shared libraries so that findreqs will work right.
chmod 755 $RPM_BUILD_ROOT/%{_libdir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README PORTING THANKS
%attr(0755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/*/*

%changelog
* Wed Oct 15 2003 Peter Hanecak <hanecak@megaloman.sk> 1.3.0-2

* Tue Jul 29 2003 Peter Hanecak <hanecak@megaloman.sk> 1.3.0-1
- updated to 1.3.0
  - dropped mm-1.1.3-tmpfile.dif patch
- updated URL

* Tue Oct 29 2002 Peter Hanecak <hanecak@megaloman.sk> 1.1.3-10
- libmm.la included in devel package

* Wed Jul 31 2002 Peter Hanecak <hanecak@megaloman.sk> 1.1.3-9
- synchronized with RedHat's mm-1.1.3-8 package (see below)

* Wed Jul 24 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-8
- incorporate fix for opening of temporary files with incorrect flags from
  Marcus Meissner
- don't advertise standard locations from mm-config (#59504)
- set semaphore ownerships when changing shared memory ownerships (#68896)
- force use of ipcshm/ipcsem (default is ipcshm/fcntl) (#68895)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri May 17 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-5
- rebuild in new environment

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-4
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Nov 16 2001 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-2
- create install directories before attempting make install
- rebuild for RHL 7.1 and 7

* Sat Oct 27 2001 Peter Hanecak <hanecak@megaloman.sk>
- s/Copyright/License

* Fri Jul 12 2001 Nalin Dahyabhai <nalin@redhat.com> 1.1.3-1
- initial package

* Thu Sep 21 2000 Peter Hanecak <hanecak@megaloman.sk>
- 'rm -rf $RPM_BUILD_ROOT' moved to %%install
- cosmetic spec changes
- removed explicit 'provides mm'
- use %%{_prefix}, %%configure, %%{_bindir}, %%{_includedir} and %%{_mandir}
- mm-1.1.3-install.patch
- incorporated package split into mm and mm-devel by
  Henri Gomez <hgomez@slib.fr>
- shtool patch to generate good libso name by Henri Gomez <hgomez@slib.fr>

* Tue Jul 18 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.1.3
- %%{_tmppath} used
- don't use %%files -f - there are not that many files
- %%{prefix} used

* Fri May 26 2000 Peter Hanecak <hanecak@megaloman.sk>
- update to 1.1.2
- added URL to spec
- %doc slightly changed

* Wed Feb  9 2000 Peter Hanecak <hanecak@megaloman.sk>
- build root changed from '/tmp/...' to '/var/tmp/...'
- added vendor
- RPM_OPT_FLAGS passed to CFLAGS

* Sat Jan 22 2000 Edward S. Marshall <emarshal@logic.net>
- updated for mm 1.0.12

* Tue Sep 7 1999 Nicolai Schleifer <ns@dom.de>
- using buildroot feature
- using -f feature of the files macro
- started from scratch
